import { MouseEvent, CSSProperties } from 'react';
import { CrossmintPayButtonProps, BaseButtonProps, NFTCollectionViewProps, NFTDetailProps, PaymentElement } from '@crossmint/client-sdk-base';
export { CheckoutEventMap, CheckoutEvents, CrossmintCheckoutEvent, useCrossmintEvents } from '@crossmint/client-sdk-base';

interface CrossmintPayButtonReactProps extends CrossmintPayButtonProps {
    onClick?: (e: MouseEvent<HTMLButtonElement>) => void;
    style?: CSSProperties;
}
interface CrossmintStatusButtonReactProps extends BaseButtonProps {
    onClick?: (e: MouseEvent<HTMLButtonElement>) => void;
    style?: CSSProperties;
}

declare function CrossmintPayButton({ className, disabled, onClick, style, tabIndex, theme, mintTo, emailTo, listingId, clientId, auctionId, hideMintOnInactiveClient, showOverlay, mintConfig, whPassThroughArgs, environment, paymentMethod, preferredSigninMethod, dismissOverlayOnClick, prepay, locale, currency, successCallbackURL, failureCallbackURL, ...props }: CrossmintPayButtonReactProps): JSX.Element | null;

declare function CrossmintStatusButton({ className, disabled, onClick, style, tabIndex, theme, clientId, auctionId, platformId, mintConfig, environment, locale, ...props }: CrossmintStatusButtonReactProps): JSX.Element;

declare function CrossmintNFTCollectionView(props: NFTCollectionViewProps): JSX.Element;

declare function CrossmintNFTDetail(props: NFTDetailProps): JSX.Element;

declare function CrossmintPaymentElement(props: PaymentElement): JSX.Element;

export { CrossmintNFTCollectionView, CrossmintNFTDetail, CrossmintPayButton, CrossmintPaymentElement, CrossmintStatusButton };
